Debian Bug report logs - #363538
lynx-cur: blanks squeezed till none left

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Wed, 19 Apr 2006 17:19:54 UTC

Severity: normal

Found in version lynx-cur/2.8.6-20

Fixed in version lynx-cur/2.8.6pre2-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#363538; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: blanks squeezed till none left
Date: Thu, 20 Apr 2006 00:55:25 +0800
Package: lynx-cur
Version: 2.8.6-20
Severity: normal

Good heavens, get "Ilovemappingandcoordinate" with all blanks
squeezed. Happens near Chinese.
$ v=http://jidanni.org/index.html
$ lynx -dump $v |grep love
    2. [5]我愛地圖與座標([6]Ilovemappingandcoordinates)...
$ lynx -dump -width=666 $v |grep love
    2. [5]我愛地圖與座標([6]I love mapping and coordinates)...
($v: I tested on a local file actually.)



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#363538; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 363538@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 363538@bugs.debian.org
Subject: re: #363538 lynx-cur: blanks squeezed till none left
Date: Mon, 29 May 2006 17:56:12 -0400
[Message part 1 (text/plain, inline)]
I have a general sense of what's being reported here, but cannot reproduce
the problem (the given page has changed and does not appear to have the
same content).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#363538; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #15 received at 363538@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@his.com, 363538@bugs.debian.org
Cc: kohda@pm.tokushima-u.ac.jp
Subject: Re: Bug#363538: #363538 lynx-cur: blanks squeezed till none left
Date: Tue, 30 May 2006 08:07:47 +0900 (JST)
Hi, a reply from upstream author.  I forwarded it to
a submitter so that the submitter would read it.

On Mon, 29 May 2006 17:56:12 -0400, Thomas Dickey wrote:

> I have a general sense of what's being reported here, but cannot reproduce
> the problem (the given page has changed and does not appear to have the
> same content).
> 
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net

Regards,			2006-5-30(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#363538; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #20 received at 363538@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@his.com, 363538@bugs.debian.org
Cc: kohda@pm.tokushima-u.ac.jp
Subject: Re: Bug#363538: #363538 lynx-cur: blanks squeezed till none left
Date: Tue, 30 May 2006 08:14:38 +0900 (JST)
On Tue, 30 May 2006 08:07:47 +0900 (JST), Atsuhito Kohda wrote:

> Hi, a reply from upstream author.  I forwarded it to
> a submitter so that the submitter would read it.

Ah, very sorry, I forgot to modify "To" field.
I just really forwarded the email to a submitter.

BTW, one needs to send email to, e.g. 363538-submitter@bugs.debian.org
if one wants to send it to a submitter.

Regards,		     2006-5-30(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#363538. Full text and rfc822 format available.

Message #23 received at 363538-submitter@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: 363538-submitter@bugs.debian.org
Cc: kohda@pm.tokushima-u.ac.jp
Subject: Re: Bug#363538: #363538 lynx-cur: blanks squeezed till none left
Date: Tue, 30 May 2006 08:09:58 +0900 (JST)
Hi, a reply from upstream author.  I forwarded it to
a submitter so that the submitter would read it.

On Mon, 29 May 2006 17:56:12 -0400, Thomas Dickey wrote:

> I have a general sense of what's being reported here, but cannot reproduce
> the problem (the given page has changed and does not appear to have the
> same content).
> 
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net

Regards,			2006-5-30(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#363538; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #28 received at 363538@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: dickey@invisible-island.net
Cc: 363538@bugs.debian.org
Subject: Re: Bug#363538: lynx-cur: blanks squeezed till none left
Date: Thu, 08 Jun 2006 01:41:44 +0800
Please try
HOME=/ LYNX_CFG=/etc/lynx-cur/lynx-utf.cfg lynx -dump -nolist \
http://jidanni.org/geo/index.html|spell
GPSand
coordinatetransformations
orEnglish
GIS
$ cat /etc/lynx-cur/lynx.cfg
# Include all the common options:
INCLUDE:/etc/lynx-cur/lynx.cfg
# Now override a couple:
CHARACTER_SET:utf-8
PREFERRED_LANGUAGE:utf-8,en;q=0.9,*;q=0.5

However no problem with just
echo CHARACTER_SET:utf-8|HOME=/ LYNX_CFG=/dev/stdin lynx -dump -nolist ...



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#363538. Full text and rfc822 format available.

Message #31 received at 363538-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dan Jacobson <jidanni@jidanni.org>
Cc: 363538-submitter@bugs.debian.org
Subject: Re: Bug#363538: lynx-cur: blanks squeezed till none left
Date: Sun, 11 Jun 2006 19:57:57 -0400
[Message part 1 (text/plain, inline)]
On Thu, Jun 08, 2006 at 01:41:44AM +0800, Dan Jacobson wrote:
> Please try
> HOME=/ LYNX_CFG=/etc/lynx-cur/lynx-utf.cfg lynx -dump -nolist \
> http://jidanni.org/geo/index.html|spell

yes, I can see a difference using this data, will investigate (thanks)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 363538-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 363538-close@bugs.debian.org
Subject: Bug#363538: fixed in lynx-cur 2.8.6pre2-1
Date: Sun, 03 Sep 2006 21:17:10 -0700
Source: lynx-cur
Source-Version: 2.8.6pre2-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6pre2-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6pre2-1_all.deb
lynx-cur_2.8.6pre2-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1.diff.gz
lynx-cur_2.8.6pre2-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1.dsc
lynx-cur_2.8.6pre2-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1_i386.deb
lynx-cur_2.8.6pre2.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Sep 2006 11:04:25 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6pre2-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 360832 363538 372670 373615 373998 375736
Changes: 
 lynx-cur (2.8.6pre2-1) unstable; urgency=low
 .
   * New Upstream Release.
   - add -stderr option to write error messages when doing a -dump -or -source.
     (Closes: #375736)
   - ensure the number of "extra" blanks in a line is greater than zero before
     attempting to perform text-justification (Closes: #363538)
   - fix a sign-extension in alignment case-statement in split_line()
     (Closes: #360832, #372670)
   * Upstream changed --enable-color-style enabled by default so I followed it.
   * Updated translations of debconf templates.  Thanks to all.
   - fr.po, Philippe Batailler <philippe.batailler@free.fr>
   - cs.po, Miroslav Kure <kurem@upcase.inf.upol.cz>
   - ru.po, Yuri Kozlov <kozlov.y@gmail.com>
   - de.po, Jens Nachtigall <nachtigall@web.de>
   - sv.po, Daniel Nylander <po@danielnylander.se>
   - pt_BR.po, Andre Luis Lopes <andrelop@debian.org>
   - vi.po, Clytie Siddall <clytie@riverland.net.au>
   - es.po, David Martínez Moreno <ender@debian.org>
   (Closes: #373615, #373998)
   * There was no time to upload 2.8.6dev19 because 2.8.6pre2 was released
     so soon.
Files: 
 66ff171af7e694f28722cae3ceae48f1 672 web extra lynx-cur_2.8.6pre2-1.dsc
 8f01371c58352885386af644f0f0e5c9 3178272 web extra lynx-cur_2.8.6pre2.orig.tar.gz
 2b1107be491f4d8b3e15517daa3ad2ec 25812 web extra lynx-cur_2.8.6pre2-1.diff.gz
 a458c3abaa01c97c1f8aea4cc3865b5d 14030 web extra lynx-cur-wrapper_2.8.6pre2-1_all.deb
 e30176b7950db8313b4dd5de8ac098e4 1960638 web extra lynx-cur_2.8.6pre2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE+6am1IXdL1v6kOwRAqsVAJ4pwbmmDr+zLkx2y/lXhkv7UhNdogCfTxMJ
0AmJK6oJV1TWQErA5d+Qn2g=
=wa+1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:53:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:42:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.